import '../activity_config_repository.dart';
import '../../entity/activity_config_entity.dart';
import 'package:common_repository/common_repository.dart';

class ActivityConfigRepositoryImpl extends ActivityConfigRepository {
  @override
  Future<List<ActivityConfigEntity>> find(String locationType) async {
    var result = await DSDioUtil.getInstance().get('/home.getActivityConfig',
        queryParameters: {"location_type": locationType});
    var res = DSResponseList<ActivityConfigEntity>.fromJson(
        result, ActivityConfigEntity.fromJson);
    return res.data;
  }
}
