import '../app_nav_repository.dart';
import '../../entity/app_nav_entity.dart';
import 'package:common_repository/common_repository.dart';

class AppNavRepositoryImpl extends AppNavRepository {
  @override
  Future<List<AppNavEntity>> find(String type) async {
    var result = await DSDioUtil.getInstance()
        .get('/home.getAppNav', queryParameters: {"type": type});
    var res =
        DSResponseList<AppNavEntity>.fromJson(result, AppNavEntity.fromJson);
    return res.data;
  }
}
